/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package com.rjconsultores.ventaboletos.web.utilerias.render;

import com.rjconsultores.ventaboletos.entidad.Pais;
import org.zkoss.zul.Listcell;
import org.zkoss.zul.Listitem;
import org.zkoss.zul.ListitemRenderer;

/**
 *
 * @author Rafius
 */
public class RenderPais implements ListitemRenderer {

    public void render(Listitem lstm, Object o) throws Exception {
        Pais pais = (Pais) o;

        Listcell lc = new Listcell(pais.getPaisId().toString());
        lc.setParent(lstm);

        lc = new Listcell(pais.getNombpais());
        lc.setParent(lstm);

        lstm.setAttribute("data", pais);
    }
}
